/* joe.h - definitions for dealing with JOESND etc. format files */

#include <unistd.h>

/* Multiply index offset by this amount to get real offset */
#define OFFSET_MULTIPLIER 4096
/* You can have at most this many entries in the archive */
#define MAX_ENTRIES 341

struct joe_index
{
   unsigned long offset_factor; /* Multiply by OFFSET_MULTIPLIER to get real offset */
   unsigned long num_bytes;     /* Size of chunk in bytes                           */
   unsigned long extra;         /* Priority for sound, may be unused for music      */
};
